% clear
% format short;
% kt=8;      
function beta=coefb(kt)
% Generate coefficients of the SSP-RK method (order kt)
      alpha(1:kt,1:kt)=0;
      alpha(1,1)=1;
      for m=2:kt
       alpha(m,1)=1;
       for j=2:m-1
        alpha(m,j)=alpha(m-1,j-1)/(j-1);
        alpha(m,1)=alpha(m,1)-alpha(m,j);
       end
       alpha(m,m)=alpha(m-1,m-1)/m;
       alpha(m,1)=alpha(m,1)-alpha(m,m);
      end
      beta=alpha(m,:);
return
