close all;
clear all;
format long;

N=41;
tau=1.8;
[P,Q,IP,D]=Diff_CompFD77451_e1(N);
D_tau=D;
D_tau(1,1)=D(1,1)*(1-tau);

% figure(1)
% S1=eig(-D);
% plot(real(S1),imag(S1),'bo')
% xlabel('Real')
% ylabel('Imag')
% title('Spectrum of 77451-operator, N=41')

figure(2)
S2=eig(-D_tau);
plot(real(S2),imag(S2),'bo')
xlabel('Real')
ylabel('Imag')
title('Spectrum of 77451-operator with \tau = 1.8, N=41')

% D(1:1:N)=0;
% S2=eig(D)
% plot(real(S2),imag(S2),'bo')
